LinuxQuestions.org
Welcome to the most active Linux Forum on the web.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Hardware
User Name
Password
Linux - Hardware This forum is for Hardware issues.
Having trouble installing a piece of hardware? Want to know if that peripheral is compatible with Linux?

Notices

Reply
 
Search this Thread
Old 11-08-2005, 05:15 AM   #1
carstenth
LQ Newbie
 
Registered: Nov 2005
Posts: 5

Rep: Reputation: 0
ATI fglrx problems - ubuntu


Hi
I installed the fglrx driver on my 64 bit ubuntu, and it worked flawlesly. Then, due to some packages not being 64 bit yet, it switched back to ubuntu 32 bit. Here, I had to compile a new kernel du to clock skew problems, so I used vanilla 2.6.14. Now it wont compile the fglrx kernel module. Here is what is have in /usr/share/fglrx/fglrx-install.log:

Code:
[Message] Kernel Module : Trying to install a precompiled kernel module.
[Message] Kernel Module : Precompiled kernel module version mismatched.
[Message] Kernel Module : Found kernel module build environment, generating kernel module now.
ATI module generator V 2.0
==========================
initializing...
cleaning...
patching 'highmem.h'...
assuming new VMA API since we do have kernel 2.6.x...
doing Makefile based build for kernel 2.6.x and higher
make -C /lib/modules/2.6.14-ck1/build SUBDIRS=/lib/modules/fglrx/build_mod/2.6.x modules
make[1]: Entering directory `/usr/src/linux-2.6.14cK1'
  CC [M]  /lib/modules/fglrx/build_mod/2.6.x/agp3.o
  CC [M]  /lib/modules/fglrx/build_mod/2.6.x/nvidia-agp.o
  CC [M]  /lib/modules/fglrx/build_mod/2.6.x/agpgart_be.o
/lib/modules/fglrx/build_mod/2.6.x/agpgart_be.c: In function ‘__fgl_agp_init’:
/lib/modules/fglrx/build_mod/2.6.x/agpgart_be.c:8173: warning: ‘pm_register’ is deprecated (declared at include/linux/pm.h:107)
/lib/modules/fglrx/build_mod/2.6.x/agpgart_be.c: In function ‘__fgl_agp_cleanup’:
/lib/modules/fglrx/build_mod/2.6.x/agpgart_be.c:8183: warning: ‘pm_unregister_all’ is deprecated (declared at include/linux/pm.h:117)
/lib/modules/fglrx/build_mod/2.6.x/agpgart_be.c: At top level:
/lib/modules/fglrx/build_mod/2.6.x/agpgart_be.c:6077: warning: ‘ati_gart_base’ defined but not used
  CC [M]  /lib/modules/fglrx/build_mod/2.6.x/i7505-agp.o
  CC [M]  /lib/modules/fglrx/build_mod/2.6.x/firegl_public.o
In file included from /lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:135:
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.h:243:5: warning: "FIREGL_VMA_INFO" is not defined
In file included from /lib/modules/fglrx/build_mod/2.6.x/drm_proc.h:41,
                 from /lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:297:
/lib/modules/fglrx/build_mod/2.6.x/drmP.h:561:5: warning: "__HAVE_VBL_IRQ" is not defined
/lib/modules/fglrx/build_mod/2.6.x/drmP.h:664:5: warning: "__HAVE_VBL_IRQ" is not defined
/lib/modules/fglrx/build_mod/2.6.x/drmP.h:936:5: warning: "__HAVE_SG" is not defined
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:371:5: warning: "FIREGL_VMA_INFO" is not defined
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:388:5: warning: "FIREGL_VMA_INFO" is not defined
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c: In function ‘firegl_stub_putminor’:
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:542: warning: ‘inter_module_put’ is deprecated (declared at include/linux/module.h:573)
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:544: warning: ‘inter_module_unregister’ is deprecated (declared at include/linux/module.h:570)
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c: In function ‘firegl_stub_register’:
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:564: warning: ‘inter_module_register’ is deprecated (declared at include/linux/module.h:569)
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:595: warning: ‘inter_module_put’ is deprecated (declared at include/linux/module.h:573)
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c: In function ‘__ke_verify_area’:
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:1478: warning: implicit declaration of function ‘verify_area’
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c: In function ‘do_vm_kmap_nopage’:
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:2465: warning: assignment makes pointer from integer without a cast
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c: In function ‘__ke_smp_call_function’:
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:3754: warning: statement with no effect
  LD [M]  /lib/modules/fglrx/build_mod/2.6.x/fglrx.o
  Building modules, stage 2.
  MODPOST
Warning: could not find /lib/modules/fglrx/build_mod/2.6.x/.libfglrx_ip.a.GCC4.cmd for /lib/modules/fglrx/build_mod/2.6.x/libfglrx_ip.a.GCC4
*** Warning: "verify_area" [/lib/modules/fglrx/build_mod/2.6.x/fglrx.ko] undefined!
  CC      /lib/modules/fglrx/build_mod/2.6.x/fglrx.mod.o
  LD [M]  /lib/modules/fglrx/build_mod/2.6.x/fglrx.ko
make[1]: Leaving directory `/usr/src/linux-2.6.14cK1'
build succeeded with return value 0
duplicating results into driver repository...
done.
==============================
- creating symlink
- recreating module dependency list
- trying a sample load of the kernel module
failed.
[Error] Kernel Module : Failed to install compiled kernel module - please consult readme.
I the following howto for installing fglrx:
-->ubuntuforums.org/showthread.php?p=423589<--

I have also tried to disabled Direct Rendering Manager in the kernel. I could not disable agp gart for some reason....

Hope you can help
 
Old 11-08-2005, 06:25 AM   #2
b0uncer
Guru
 
Registered: Aug 2003
Distribution: CentOS, OS X
Posts: 5,131

Rep: Reputation: Disabled
I also tried fglrx on ubuntu, couldn't get it work all right (I got all kinds of problems, and when I managed to solve one, I got two more) so I took advice of the web forums: fglrx simply sucks, the drivers for ATI cards that come with the distros (not the "official drivers" from ATI) work well. so I don't care about fglrx, since it's like asking for problems.
 
Old 11-08-2005, 06:51 AM   #3
carstenth
LQ Newbie
 
Registered: Nov 2005
Posts: 5

Original Poster
Rep: Reputation: 0
How did you get the drivers from the distro working? And how are they performing? (They are essentially just an old version of fglrx)
 
Old 11-08-2005, 09:39 AM   #4
RedShirt
Senior Member
 
Registered: Oct 2005
Location: Denver
Distribution: Sabayon 3.5Loop2
Posts: 1,150

Rep: Reputation: 45
I disagree entirely about the ATI fglrx drivers sucking. I think they work just fine so long as you follow directions well. ATI has an official install instruction set that works great, and I have a more detailed one on my website.

If you follow the directions, I assure you, even over the ones that came with, I improved my flxgears score greatly, which translates to more FPS in gaming, and of course with the fglrx drivers from ATI, you also gain proper TV out support.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
ATI Driver Problems w/ Ubuntu 5.1 JosepiLove Linux - Software 1 01-06-2006 10:57 PM
Problems initialising ´fglrx´ driver for ATI. St00gE Fedora 4 05-28-2005 09:50 PM
Problems initialising ati-fglrx kernel module in FC3 St00gE Linux - Newbie 6 05-26-2005 10:50 AM
ATI fglrx driver problems on a Sony Vaio (but can be a common problem...) MachineH Linux - Laptop and Netbook 0 08-08-2004 01:31 AM
ATI Radeon 8500, problems with fglrx and tty's peter72 Linux - Hardware 3 11-08-2003 08:51 AM


All times are GMT -5. The time now is 01:32 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration